No follow-up to the "Configuring the clock" dialog when not accepting the time zone

Bug #1758019 reported by bugproxy on 2018-03-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
High
Canonical Foundations Team
clock-setup (Ubuntu)
Undecided
Unassigned
debian-installer (Ubuntu)
Undecided
Skipper Bug Screeners
tzsetup (Ubuntu)
Undecided
Unassigned

Bug Description

== Comment: #0 - Juergen Lobert <email address hidden> - 2018-03-22 04:43:18 ==
Installation was done from the daily-build s390 ISO images.

Scenario:

1. Answering the inital dialogs asking for the location with "Europe/Berlin"

2. In the further course of the installation the "Configure the clock" dialog appears:

   ???????????????????????????? [!] Configure the clock ???????????????????????
   ? ?
   ? Based on your present physical location, your time zone is Europe/London. ?
   ? ?
   ? If this is not correct, you may select from a full list of time zones instead. ?
   ? ?
   ? Is this time zone correct? ?
   ? ?
   ? <Go Back> <Yes> <No> ?
   ? ?
   ?????????????????????????????????????????????????????????????????????????

   Since the location was previously set to "Europe/Berlin" the shown time zone
   "Europe/London" is not accepted and the dialog is answered with "<no>".

3. Although an upcoming "full list of time zone" is promised, such a list is never displayed
    and the dialog progresses to the configuration of DASD devices.

4. After installation is finished and the new system is started, the date command
    shows the time zone of CET which corresponds to the "Europe/Berlin" setting.

So the behaviour of the "Configure the clock" dialog is not correct.

Probably this issue also applies to previous versions since
I found the same behaviour of the "Configure the clock" dialog when
installing Ubuntu 16.04.2.

Installation logs/information from the /var/log/installer directory are attached.

Default Comment by Bridge

tags: added: architecture-s39064 bugnameltc-165944 severity-high targetmilestone-inin1804
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → base-installer (Ubuntu)
affects: base-installer (Ubuntu) → debian-installer (Ubuntu)
Changed in ubuntu-z-systems:
importance: Undecided → Medium
status: New → Triaged
assignee: nobody → Canonical Foundations Team (canonical-foundations)

This appears to come from integration of tzsetup & clock-setup.

First of all, we should be detecting correct timezone, via geoip. Would you be able $ curl http://geoip.ubuntu.com/lookup -> and attach it here? Maybe our database is out of date and needs updating to point at DE.

(note it will contain ip address, and location, if this is sensitive we can set the bug to private first, to ensure it is not widely disclosed).

I will try to reproduce this, by e.g. intentionally answering that I am located in Germany, even though I am in the UK as per geoip.

If this question is unexpected and annoying, you can pressed time/zone key via cmdline to avoid these questions whats-so-ever.

Frank Heimes (frank-heimes) wrote :

It's probably similar like you want to try.
In this case geoip response with UK/London (because that's were the intranet/internet passage is), but the system itself is in Germany, hence Europe/Berlin is selected.

Changed in ubuntu-z-systems:
importance: Medium → High

------- Comment From <email address hidden> 2018-08-31 08:48 EDT-------
Set to Prio=low.. circumventiona awailable...

tags: added: severity-low
removed: severity-high
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-05-23 03:27 EDT-------
@Canonical. will that be fixed with the new Installer with 19.10 ? Than I will change the target release to 19.10 ???

Yes, probably.
I am going to leave this ticket open until there is a version of the new installer that can be used to verify this.

tags: added: installer
Frank Heimes (frank-heimes) wrote :

Setting to 'In Progress' with the work on subiquity.

Changed in ubuntu-z-systems:
status: Triaged → In Progress
summary: - [Ubuntu 18.04] No follow-up to the "Configuring the clock" dialog when
- not accepting the time zone
+ No follow-up to the "Configuring the clock" dialog when not accepting
+ the time zone
bugproxy (bugproxy) on 2019-06-19
tags: added: targetmilestone-inin1910
removed: targetmilestone-inin1804
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers